## manila 6.0.0~rc1

=== debian/changelog ===
manila (1:6.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 12:09:43 -0500

manila (1:6.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/manila-common.install: Drop install of policy.json.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/update-tests-for-ipaddress-1.0.17.patch: Dropped. Fixed in
    milestone.
  * d/rules: Run tests with ostestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 10:26:42 -0500

manila (1:6.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10 and drop dh-systemd.
  * d/watch: Scope to Queens series.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/install, d/manila-common.install, d/python-manila.install: Align
    with upstream install paths.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Dec 2017 14:07:41 -0500
