## manila 6.0.0~rc2

=== debian/changelog ===
manila (1:6.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Feb 2018 14:33:51 -0500
