## manila 6.0.0~rc3

=== debian/changelog ===
manila (1:6.0.0~rc3-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Feb 2018 17:49:23 -0500
