## manila 7.0.0~b2

=== debian/changelog ===
manila (1:7.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * d/control: Update Standards-Version to 4.1.4.
  * d/tests/manila-shebangs-py*: Fix typos.
  * d/watch: Scope to 7.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 12:04:49 -0400

manila (1:6.0.0-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-manila package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      manila-common depends on python-manila by default and python3-manila
      as alternative.
    - d/control: Drop ${python3:Depends} from manila-* binary packages
      as it's covered in python3-manila.
    - d/control: move python(3)-openstackclient dependency from manila-api
      Depends to python(3)-manila Depends.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Add manila-data binary package.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/manila-common.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-manila.post*, d/python(3)-manila.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/install, d/python3-manila.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for manila daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/manila-data.init.in: Add manila-data init template.
    - d/manila-share.init.in: Fix typo.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Jun 2018 08:24:38 -0400

manila (1:6.0.0-2) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:49:49 +0000

manila (1:6.0.0-1) unstable; urgency=medium

  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 08:50:52 +0000

manila (1:6.0.0~rc3-1) unstable; urgency=medium

  * New upstream RC release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 16:20:45 +0000

manila (1:6.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Using pkgos-dh_auto_test.
  * Switched to Python 3.
  * Blacklist all share.drivers.dell_emc tests: they are failing in Py3.
  * Generate policy.yaml with oslopolicy-sample-generator.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 13:09:06 +0000

manila (1:5.0.1-3) unstable; urgency=medium

  * Add explicit depends on e2fsprogs (Closes: #887193).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 11:03:41 +0100

manila (1:5.0.1-2) unstable; urgency=medium

  * Do not delete search.html, making build reproducible (Closes: #861896).
  * Remove /usr/lib from manila-api (Closes: #880374).
  * Updated pt.po (Closes: #876175).
  * Uploading to unstable:
    - Fixed FTBFS (Closes: #871337).
  * Removed dh-systemd build-depends.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 09:34:59 +0000

manila (1:5.0.1-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Some clean-ups.
  * Drop SQLAlchemy version patch.
  * Black list cmd.test_manage.ManilaCmdManageTestCase.test_run_ipython which
    is failing.
  * Add python-manila.install.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Oct 2017 00:18:39 +0200
