## manila 7.0.0~rc1

=== debian/changelog ===
manila (1:7.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 15:03:14 -0400

manila (1:7.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * d/tests/manila-daemons: Fix up rabbitmqctl commands.
  * d/python(3)-manila.post*, d/python(3)-manila.prerm: Add
    update-alternatives for manila-data.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jun 2018 11:50:18 -0400
