=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
  python-fixtures (>= 3.0.0),
  python-greenlet (>= 0.4.10),
  python-hacking (>= 0.12.0),
+ python-ipaddress (>= 1.0.17),
  python-iso8601 (>= 0.1.11),
  python-keystoneauth1 (>= 3.4.0),
  python-keystonemiddleware (>= 4.17.0),
@@ -265,6 +266,7 @@
  python-cinderclient (>= 1:3.3.0),
  python-eventlet (>= 0.18.2),
  python-greenlet (>= 0.4.10),
+ python-ipaddress (>= 1.0.17),
  python-keystoneauth1 (>= 3.4.0),
  python-keystonemiddleware (>= 4.17.0),
  python-lxml (>= 3.4.1),
@@ -338,5 +340,3 @@
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
- python3-oslo.i18n (>= 3.15.3),
