## manila 7.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 
 alembic>=0.8.10 # MIT
 Babel!=2.4.0,>=2.3.4 # BSD
-eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
+eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 greenlet>=0.4.10 # MIT
-ipaddress>=1.0.16;python_version<'3.3' # PSF
+ipaddress>=1.0.17;python_version<'3.3' # PSF
 lxml!=3.7.0,>=3.4.1 # BSD
 netaddr>=0.7.18 # BSD
-oslo.config>=5.1.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
@@ -25,13 +25,13 @@
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-oslo.concurrency>=3.25.0 # Apache-2.0
+oslo.concurrency>=3.26.0 # Apache-2.0
 paramiko>=2.0.0 # LGPLv2.1+
 Paste>=2.0.2 # MIT
 PasteDeploy>=1.5.0 # MIT
 pyparsing>=2.1.0 # MIT
-python-neutronclient>=6.3.0 # Apache-2.0
-keystoneauth1>=3.3.0 # Apache-2.0
+python-neutronclient>=6.7.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
