=== doc/requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 openstackdocstheme>=1.18.1 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
 doc8>=0.6.0 # Apache-2.0
-sphinx!=1.6.6,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
 mock>=2.0.0 # BSD
 os-api-ref>=1.4.0 # Apache-2.0
 ddt>=1.0.1 # MIT
