=== debian/changelog ===
manila (1:7.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Malihe and Andreas from uploaders.
  * Fixed typo in manila-share.init.in (Closes: #902014).
  * Add manila-data binary and init template (Closes: #902013).
  * Blacklist tests that are doing infinite recursion: (Closes: #906277)
    - share.drivers.qnap.test_qnap.QnapShareDriverLoginTestCase.*

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 15:53:37 +0200
