=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 74~),
+ openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
  python-all,
  python-pbr (>= 2.0.0),
@@ -22,64 +22,6 @@
 Build-Depends-Indep:
  alembic (>= 0.8.10),
  git,
- python-alembic (>= 0.8.10),
- python-babel (>= 2.3.4),
- python-bashate (>= 0.5.1),
- python-cinderclient (>= 1:3.3.0),
- python-coverage (>= 4.0),
- python-ddt (>= 1.0.1),
- python-eventlet (>= 0.18.2),
- python-fixtures (>= 3.0.0),
- python-greenlet (>= 0.4.10),
- python-hacking (>= 0.12.0),
- python-ipaddress (>= 1.0.17),
- python-iso8601 (>= 0.1.11),
- python-keystoneauth1 (>= 3.4.0),
- python-keystonemiddleware (>= 4.17.0),
- python-lxml (>= 3.4.1),
- python-mock (>= 2.0.0),
- python-mysqldb,
- python-netaddr (>= 0.7.18),
- python-neutronclient (>= 1:6.7.0),
- python-novaclient (>= 2:9.1.0),
- python-openstackdocstheme (>= 1.18.1),
- python-os-api-ref (>= 1.4.0),
- python-os-testr (>= 1.0.0),
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.19.2),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.reports (>= 1.18.0),
- python-oslo.rootwrap (>= 5.8.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 1:3.2.0),
- python-paramiko (>= 2.0.0),
- python-paste (>= 2.0.2),
- python-pastedeploy (>= 1.5.0),
- python-pep8,
- python-psycopg2 (>= 2.6.2),
- python-pymysql (>= 0.7.6),
- python-pyparsing (>= 2.1.0),
- python-requests (>= 2.14.2),
- python-requests-mock (>= 1.2.0),
- python-retrying (>= 1.2.3),
- python-routes (>= 2.3.1),
- python-six (>= 1.10.0),
- python-sqlalchemy (>= 1.0.10),
- python-stestr,
- python-stevedore (>= 1:1.20.0),
- python-testresources (>= 2.0.0),
- python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
- python-tooz (>= 1.58.0),
- python-webob (>= 1:1.7.1),
  python3-alembic (>= 0.8.10),
  python3-babel (>= 2.3.4),
  python3-bashate (>= 0.5.1),
@@ -115,6 +57,7 @@
  python3-oslo.rootwrap (>= 5.8.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-paramiko (>= 2.0.0),
@@ -124,6 +67,7 @@
  python3-psycopg2 (>= 2.6.2),
  python3-pymysql (>= 0.7.6),
  python3-pyparsing (>= 2.1.0),
+ python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-retrying (>= 1.2.3),
@@ -187,7 +131,7 @@
 Depends:
  adduser,
  dbconfig-common,
- python-manila (= ${binary:Version}) | python3-manila (= ${binary:Version}),
+ python3-manila (= ${binary:Version}),
  ${misc:Depends},
 Description: OpenStack shared file system as a service - common files
  Manila is an OpenStack project to provide Shared Filesystems as a service.
@@ -254,70 +198,6 @@
  variety of shared or distributed file system types.
  .
  This package contains the Manila Share daemon.
-
-Package: python-manila
-Section: python
-Architecture: all
-Depends:
- alembic (>= 0.8.10),
- e2fsprogs,
- python-alembic (>= 0.8.10),
- python-babel (>= 2.3.4),
- python-cinderclient (>= 1:3.3.0),
- python-eventlet (>= 0.18.2),
- python-greenlet (>= 0.4.10),
- python-ipaddress (>= 1.0.17),
- python-keystoneauth1 (>= 3.4.0),
- python-keystonemiddleware (>= 4.17.0),
- python-lxml (>= 3.4.1),
- python-netaddr (>= 0.7.18),
- python-neutronclient (>= 1:6.7.0),
- python-novaclient (>= 2:9.1.0),
- python-openstackclient,
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.19.2),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.reports (>= 1.18.0),
- python-oslo.rootwrap (>= 5.8.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-paramiko (>= 2.0.0),
- python-paste (>= 2.0.2),
- python-pastedeploy (>= 1.5.0),
- python-pbr (>= 2.0.0),
- python-psycopg2 (>= 2.6.2),
- python-pymysql,
- python-pyparsing (>= 2.1.0),
- python-requests (>= 2.14.2),
- python-retrying (>= 1.2.3),
- python-routes (>= 2.3.1),
- python-six (>= 1.10.0),
- python-sqlalchemy (>= 1.0.10),
- python-stevedore (>= 1:1.20.0),
- python-tooz (>= 1.58.0),
- python-webob (>= 1:1.7.1),
- ${misc:Depends},
- ${python:Depends},
-Conflicts:
- python3-manila,
-Description: OpenStack shared file system as a service - Python 2.7 libs
- Manila is an OpenStack project to provide Shared Filesystems as a service.
- It provides coordinated access to shared or distributed file systems. While
- the primary consumption of file shares would be across OpenStack Compute
- instances, the service is also intended to be accessible as an independent
- capability in line with the modular design established by other OpenStack
- services. Manila is extensible for multiple backends (to support vendor or
- file system specific nuances / capabilities) and accommodates any of a
- variety of shared or distributed file system types.
- .
- This package contains the Python 2.7 library for Manila.
 
 Package: python3-manila
 Section: python
@@ -340,3 +220,43 @@
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.reports (>= 1.18.0),
+ python3-oslo.rootwrap (>= 5.8.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-paramiko (>= 2.0.0),
+ python3-paste (>= 2.0.2),
+ python3-pastedeploy (>= 1.5.0),
+ python3-pbr (>= 2.0.0),
+ python3-psycopg2 (>= 2.6.2),
+ python3-pymysql,
+ python3-pyparsing (>= 2.1.0),
+ python3-requests (>= 2.14.2),
+ python3-retrying (>= 1.2.3),
+ python3-routes (>= 2.3.1),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stevedore (>= 1:1.20.0),
+ python3-tooz (>= 1.58.0),
+ python3-webob (>= 1:1.7.1),
+ ${misc:Depends},
+ ${python3:Depends},
+Description: OpenStack shared file system as a service - Python 3 libs
+ Manila is an OpenStack project to provide Shared Filesystems as a service.
+ It provides coordinated access to shared or distributed file systems. While
+ the primary consumption of file shares would be across OpenStack Compute
+ instances, the service is also intended to be accessible as an independent
+ capability in line with the modular design established by other OpenStack
+ services. Manila is extensible for multiple backends (to support vendor or
+ file system specific nuances / capabilities) and accommodates any of a
+ variety of shared or distributed file system types.
+ .
+ This package contains the Python 3 library for Manila.
