## manila 8.0.0~rc1

=== debian/changelog ===
manila (1:8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 8.x series.
  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 10:08:05 -0400

manila (1:8.0.0~b1~git2019031804.b2787fde-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 12:20:33 +0000
