=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- git,
  python3-alembic (>= 0.8.10),
  python3-babel (>= 2.3.4),
  python3-bashate (>= 0.5.1),
@@ -67,7 +66,6 @@
  python3-psycopg2 (>= 2.6.2),
  python3-pymysql (>= 0.7.6),
  python3-pyparsing (>= 2.1.0),
- python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-retrying (>= 1.2.3),
